Subject: RE: cygserver 1.20: How to start this daemon before PostgreSQL's postmaster in a script?
From: "S. L." <[email-masked]>
To: <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 24 Mar 2006 22:27:49 +0100 (MET)

Maybe the best way to check cygserver's complete startup (i.e. the IPC
functionality) would be to use the ipcs command. The following outputs are
for cygserver service up and down status (I'm not sure the fact that I'm on
XP makes any difference, though):

$ ipcs -q
Message Queues:
T     ID               KEY        MODE       OWNER    GROUP

[Here I manually stop the cygserver service]

$ ipcs -q
Bad system call

Tha same kind of output comes for -s (semaphors) and -t (shared memory).

HTH,

SLao

NB: I cannot test it for w98, as well.

> --- Ursprüngliche Nachricht ---
> Von: "Dave Korn" <[email-masked]>
> An: "'Alexey Lyubimov'" <[email-masked]>
> Kopie: <[email-masked]>
> Betreff: RE: cygserver 1.20: How to start this daemon before PostgreSQL's
> postmaster in a script?
> Datum: Fri, 24 Mar 2006 17:57:20 -0000
> 
> On 24 March 2006 17:18, Alexey Lyubimov wrote:
> 
> > Thanks Dave,
> > but I forgot to say that I was running Cygwin under Win98SE. It was my
> > fault ;)
> > So, I can not use cygrunsrv.
> > 
> > ---
> > Alexey Lyubimov
> 
> 
>   This is a perfect example of why http://cygwin.com/acronyms#PPIOSPE is a
> good idea.  I can't give you any advice about win98 because I haven't
> touched
> it in years.  If you had posted that reply to the list, someone else might
> have come up with another solution or might know how to achieve the
> equivalent
> effect under 98.  I've added the list back into the Cc line and set the
> reply-to header accordingly.  Good luck!
> 
> 
>     cheers,
>       DaveK
> -- 
> Can't think of a witty .sigline today....
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 

-- 
"Feel free" mit GMX FreeMail!
Monat für Monat 10 FreeSMS inklusive! http://www.gmx.net

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/